Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "8a20667d-8eed-4f6b-a3a6-d907417d587a",
  "user_id": "80b83162-3c7b-4f71-a292-bd4ac62fd3ac",
  "user_planning_slot_type_id": "b7c66e22-c09c-4c29-b54c-754614306b2d",
  "date_from": "2026-10-16T14:06:55.0603939+00:00",
  "date_to": "2026-10-16T14:06:55.0603939+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-16T14:06:55.0603939+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.